List Pay connectors
List connectors belonging to the authenticated organization, including connectors created by other users in that organization. Set filter[type]=generic to restrict results to the type covered here. Results default to newest created_at first. Use meta.end_cursor as page[after] for the next page, or meta.start_cursor as page[before] for the preceding page. Omit both cursors for the first page; if both are supplied, page[after] takes precedence. Responses omit passwords and tokens.
curl --request GET \
--url https://api.telnyx.com/v2/pay_connectors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/pay_connectors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/pay_connectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/pay_connectors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/pay_connectors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.telnyx.com/v2/pay_connectors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/pay_connectors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [],
"meta": {
"page_size": 25,
"start_cursor": null,
"end_cursor": null
}
}{
"errors": [
{
"code": "10000",
"title": "Invalid request",
"detail": "Provided cursor is invalid.",
"source": {
"pointer": "/after"
}
}
]
}Authorizations
Telnyx API key, not the processor bearer token.
Query Parameters
Number of records per page.
1 <= x <= 249Opaque cursor from meta.end_cursor.
Opaque cursor from meta.start_cursor.
Comma-separated created_at or updated_at fields, optionally prefixed with - for descending order.
"-created_at"
Exact match on name.
"my-payment-connector"
Exact match on type.
"generic"
Exact match on mode.
"test"
Equal to this created_at timestamp.
"2026-10-01T00:00:00Z"
After this created_at timestamp.
"2026-10-01T00:00:00Z"
At or after this created_at timestamp.
"2026-10-01T00:00:00Z"
Before this created_at timestamp.
"2026-10-01T00:00:00Z"
At or before this created_at timestamp.
"2026-10-01T00:00:00Z"
Equal to this updated_at timestamp.
"2026-10-01T00:00:00Z"
After this updated_at timestamp.
"2026-10-01T00:00:00Z"
At or after this updated_at timestamp.
"2026-10-01T00:00:00Z"
Before this updated_at timestamp.
"2026-10-01T00:00:00Z"
At or before this updated_at timestamp.
"2026-10-01T00:00:00Z"
Was this page helpful?
curl --request GET \
--url https://api.telnyx.com/v2/pay_connectors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/pay_connectors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/pay_connectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/pay_connectors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/pay_connectors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.telnyx.com/v2/pay_connectors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/pay_connectors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [],
"meta": {
"page_size": 25,
"start_cursor": null,
"end_cursor": null
}
}{
"errors": [
{
"code": "10000",
"title": "Invalid request",
"detail": "Provided cursor is invalid.",
"source": {
"pointer": "/after"
}
}
]
}